{ pkgs, lib, config, ... }:

with lib;
{
  environment.systemPackages = with pkgs; [
    discover
    # kde-rounded-corners
    lightly-qt
    pinentry
    pinentry-qt
    hunspell
    caffeine-ng
    hunspellDicts.en_US
    transmission
    openssh
    ark
    ifuse
    dash
    brightnessctl
    dunst
    ttyper
    kget
    audacity
    krename
    kwallet-pam
    nm-tray
    nyxt
    sbcl
    lispPackages.drakma
    lispPackages.lquery
    openjdk
    # pantalaimon
    plasma5Packages.kwallet
    sierra-breeze-enhanced
    libimobiledevice
    # bottles
    # jitsi-meet-electron
    imv
    feh
    tagutil
    python310Packages.mutagen
    python310Packages.audiotools
    (mpv.override {scripts = with pkgs.mpvScripts; [ mpris youtube-quality sponsorblock ];})
    ani-cli
    mov-cli
    nerdfonts
    plasma-browser-integration
    alacritty
    libsForQt5.bismuth
    libnotify
    rofi-wayland
    wf-recorder
    wofi
    waybar
    tridactyl-native
    eww-wayland
    wlrctl
    hyprpaper
    swaylock-effects
    swayidle
    aha
    glxinfo
    vulkan-tools
    wayland-utils
    nextcloud-client
    # mkchromecast
    plocate
    # librepresenter.libre-presenter
    papirus-icon-theme
    phinger-cursors
    plasma-hud
    kde-cli-tools
    gzip 
    qrencode
    brave
    scribus
    darktable
    # qutebrowser
    virt-manager
    virt-viewer
    # firefox
    kate
    kdialog
    plasma5Packages.khotkeys
    # openlp
    inkscape
    libreoffice-fresh
    vlc
    neochat
    haskellPackages.greenclip
    pulsemixer
    any-nix-shell
    wtype
    xdotool
    # ydotool
    wmctrl
    xcape
    xclip
    # maim
    unclutter-xfixes
    bluez-tools
    networkmanager_dmenu
    plasma5Packages.qt5ct
    lxappearance
    spotdl
    kdenlive
    minetest
    pqiv
    plasma5Packages.audiotube
    # natron
    digikam
    rubberband
    texlive.combined.scheme-full
    wlroots
    picom-jonaburg
    pamixer
    playerctl
    # jellyfin-mpv-shim
    pfetch
    macchina
    gimp
    krita
    powertop
    element-desktop-wayland
    scrcpy
    python3
    airshipper
    # hyprland
    (callPackage ../ydotool {  })
    (libsForQt5.callPackage /home/chris/dev/LightlyShaders {}) # LightlyShaders
    # (libsForQt5.callPackage /home/chris/.dotfiles/RoundedSBE {}) 
    (libsForQt5.callPackage /home/chris/dev/church-presenter {}) # librepresenter
    # (libsForQt5.callPackage /home/chris/dev/tyler {}) # librepresenter
    nix-index
    sqlite
    fennel
    blesh
    plasma5Packages.plasma-sdk
  ];
}
